"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transformMomentToString = transformMomentToString;
exports.transformStringToMoment = transformStringToMoment;

var _moment = _interopRequireDefault(require("moment"));

function transformMomentToString(date) {
  var input = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'ISO_8601';

  switch (input) {
    case 'timestamp.seconds':
    case 'epoch':
      return String(date.unix());

    case 'timestamp.milliseconds':
      return String(date.valueOf());

    case 'ISO_8601':
      return date.toISOString();

    default:
      return date.format(input);
  }
}

function transformStringToMoment(dateString) {
  var input = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _moment.default.ISO_8601;
  var rtnMoment = (0, _moment.default)();

  switch (input) {
    case 'timestamp.seconds':
    case 'epoch':
      if (dateString) {
        rtnMoment = _moment.default.unix(Number(dateString));
      }

      break;

    case 'timestamp.milliseconds':
      if (dateString) {
        rtnMoment = (0, _moment.default)(Number(dateString));
      }

      break;

    case 'ISO_8601':
      rtnMoment = (0, _moment.default)(dateString, _moment.default.ISO_8601);
      break;

    default:
      rtnMoment = (0, _moment.default)(dateString, input);
      break;
  }

  if (rtnMoment.isValid()) return rtnMoment;
  return (0, _moment.default)();
}